Subject: [MBONED] Fwd: Updated UDP tunneling specification: draft-fairhurst-6man-tsvwg-udptt-01

From: Marshall Eubanks <[email-masked]>
Date: Mon, 29 Jun 2009 11:50:58 -0400

Going to cross-post this here.

Marshall

Begin forwarded message:

> From: Gorry Fairhurst <[email-masked]>
> Date: June 29, 2009 7:19:27 AM EDT
> To: [email-masked]
> Subject: Updated UDP tunneling specification: draft-fairhurst-6man- 
> tsvwg-udptt-01
> Reply-To: [email-masked]
>
> I've submitted a revision of the I-D below, and would be keen to see  
> some discussion on this list as to whether this could solve the  
> perceived problem that some tunnel protocols do not wish to employ  
> the UDP checksum as specified in RFC 2460.
>
> I would like to present this short draft in Stockholm, but would  
> appreciate feedback before the meeting from anyone with comments or  
> thoughts on this topic.
>
> Best wishes,
>
> gorry
>
> The UDP Tunnel Transport mode
> draft-fairhurst-6man-tsvwg-udptt-01
> Independent Submission
> Number_of_pages: 16
> http://tools.ietf.org/html/draft-fairhurst-6man-tsvwg-udptt-01
>
> Abstract:
> This document proposes a standards track protocol called the UDP
> Tunnel Transport.  This protocol updates the UDP processing of RFC
> 2460 for hosts and routers.  The update enables a sender to generate
> a UDP datagram where the UDP checksum is replaced by a header check
> determined only by the protocol header information.  For this use,
> the document also updates the way the IPv6 UDP length field is
> interpreted.  This mode is intended to minimise the processing cost
> for the transport of tunnel packets using UDP.
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

Regards
Marshall Eubanks
CEO / AmericaFree.TV